## GimpFontSelectButton GimpFontSelectButton |

## Functions

GtkWidget * | gimp_font_select_button_new ()
const gchar * | gimp_font_select_button_get_font ()
void | gimp_font_select_button_set_font ()

## Properties

gchar * | font-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | font-set | Run First

## Types and Values

| GimpFontSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpFontSelectButton

## Implemented Interfaces

GimpFontSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### gimp_font_select_button_new ()

    GtkWidget *
    gimp_font_select_button_new (const gchar *title,
                                 const gchar *font_name);

Since: GIMP 2.4

### gimp_font_select_button_get_font ()

    const gchar *
    gimp_font_select_button_get_font (GimpFontSelectButton *button);

Since: GIMP 2.4

### gimp_font_select_button_set_font ()

    void
    gimp_font_select_button_set_font (GimpFontSelectButton *button,
                                      const gchar *font_name);

Since: GIMP 2.4

## Types and Values

### GimpFontSelectButton

    typedef struct _GimpFontSelectButton GimpFontSelectButton;

## Property Details

### The `“font-name”` property

      “font-name”                gchar *

The name of the currently selected font.

Flags: Read / Write

Default value: "Sans"

Since: GIMP 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the font selection popup dialog.

Flags: Read / Write / Construct Only

Default value: "Font Selection"

Since: GIMP 2.4

## Signal Details

### The `“font-set”` signal

    void
    user_function (GimpFontSelectButton *widget,
                   gchar                *font_name,
                   gboolean              dialog_closing,
                   gpointer              user_data)

Flags: Run First

Since: GIMP 2.4